#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	Interface
Summary:	Net::Interface - Perl extension to access network interfaces
Summary(pl.UTF-8):	Net::Interface - moduł umożliwiający dostęp do interfejsów sieciowych
Name:		perl-Net-Interface
Version:	1.012
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cfa0c390c506996c004fb5b214fc4a7c
URL:		http://search.cpan.org/dist/Net-Interface/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Interface is designed to make the use of ifconfig(1) and friends
unnecessary from within Perl. It provides methods to get and set all
the attributes of an interface, and even create new logical or
physical interfaces (if your O/S supports it).

%description -l pl.UTF-8
Net::Interface został zaprojektowany, aby uczynić używanie ifconfig(1)
i spółki z poziomu Perla niepotrzebnym. Dostarcza metody do
odczytywania i ustawiania wszystkich atrybutów interfejsu, a nawet
tworzenia nowych logicznych i fizycznych interfejsów (o ile system
operacyjny na to pozwala).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README*
%{perl_vendorarch}/Net/Interface.pm
%dir %{perl_vendorarch}/auto/Net/Interface
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Interface/Interface.so
%dir %{perl_vendorarch}/Net/Interface
%{perl_vendorarch}/Net/Interface/Developer.pm
%{perl_vendorarch}/Net/Interface/NetSymbols.pm
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-Interface.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> cf61332
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 8dbb7a6
- up to 1.012

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 378d924
- release 2

* Fri Aug 28 2009 amateja <amateja@pld-linux.org> e74395f
- updated to 1.011

* Sun Nov 02 2008 radek <radek@pld-linux.org> 02747bd
- fix md5

* Sun Nov 02 2008 radek <radek@pld-linux.org> a2376e6
- include README*

* Sun Nov 02 2008 radek <radek@pld-linux.org> 9f592fa
- version 0.11

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 9f3e3c5
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c12f9b6
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> fea82ed
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 363d3e5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 37e62fa
- converted to UTF-8

* Thu Aug 10 2006 Jakub Bogusz <qboosh@pld-linux.org> ba73431
- cleanup

* Thu Aug 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 82cd0c7
- obsolete

* Mon Aug 07 2006 Maciej Pijanka <agaran@pld-linux.org> afb9463
- up to 0.08, rel 1, builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> d901f6f
- formatting

* Thu Jun 17 2004 Jakub Bogusz <qboosh@pld-linux.org> 8f2078c
- pl desc

* Sun Jun 13 2004 radek <radek@pld-linux.org> cddd5e2
- release 10: informative summary / description

* Fri May 07 2004 ankry <ankry@pld-linux.org> 604eae6
- rel. 9

* Thu May 06 2004 ankry <ankry@pld-linux.org> d2e9d79
- fixed perl-devel BR

